Name:           drawpile
Version:        0.6.0
Release:        1%{?dist}
Summary:        A collaborative drawing program

Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://drawpile.sourceforge.net/
Source0:        http://sourceforge.net/projects/drawpile/files/drawpile/%{version}/drawpile-%{version}.tar.gz
#Upstream has no desktop file and no bug tracker
Source1:        drawpile.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libzip-devel qt-devel cmake desktop-file-utils

%description
DrawPile is a sketching oriented drawing program with a twist:
you can share your drawing live with other users.
There are no restrictions on who may draw where; every user has full access
to the whole picture simultaneously.

Feature highlights:
    * Antialiased drawing and multiple blending modes
    * Layers
    * Text annotations
    * Tablet pressure sensitivity
    * Image may be rotated freely while drawing
    * Built-in server for hosting shared sessions
    * Chat


%prep
%setup -q


%build
%cmake .
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

#CMake puts doc to wrong place
rm -rf %{buildroot}%{_defaultdocdir}/%{name}


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog doc/drawpile.docbook
%{_bindir}/drawpile*
%{_libdir}/libdrawpilenet.so
%{_mandir}/man1/drawpile*.1.gz
%{_datadir}/applications/drawpile.desktop


%changelog
* Sun Mar 28 2010 Julian Aloofi <julian at, fedoraproject.org> 0.6.0-1
- initial package
